org.apache.datasketches.tuple

## Interface SummaryDeserializer<S extends Summary>

Type Parameters:
  `S` - type of Summary

All Known Implementing Classes:
  ArrayOfStringsSummaryDeserializer, DoubleSummaryDeserializer, IntegerSummaryDeserializer

    public interface SummaryDeserializer<S extends Summary>

Interface for deserializing user-defined Summary

### Method Summary

All Methods Instance Methods Abstract Methods
`DeserializeResult<S>` `heapifySummary(org.apache.datasketches.memory.Memory mem)` This is to create an instance of a Summary given a serialized representation.

### Method Detail

#### heapifySummary

    DeserializeResult<S> heapifySummary(org.apache.datasketches.memory.Memory mem)

This is to create an instance of a Summary given a serialized representation. The user may assume that the start of the given Memory is the correct place to start deserializing. However, the user must be able to determine the number of bytes required to deserialize the summary as the capacity of the given Memory may include multiple such summaries and may be much larger than required for a single summary.

Parameters:
  `mem` - Memory object with serialized representation of a Summary
Returns:
  DeserializedResult object, which contains a Summary object and number of bytes read from the Memory